Package org.kapott.hbci.structures

## Class TypedValue

- java.lang.Object
- - org.kapott.hbci.structures.BigDecimalValue
  - - org.kapott.hbci.structures.TypedValue

All Implemented Interfaces:
  `java.io.Serializable`

    public class TypedValue
    extends BigDecimalValue

See Also:
  Serialized Form

### Field Summary

Fields
`static int` `TYPE_PROZENT`
`static int` `TYPE_STCK`
`static int` `TYPE_WERT`

### Constructor Summary

Constructors
`TypedValue​(java.lang.String value, java.lang.String curr, int type)`
`TypedValue​(java.math.BigDecimal value, java.lang.String curr, int type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getType()`
`java.lang.String` `toString()`

### Methods inherited from class org.kapott.hbci.structures.BigDecimalValue

`getCurr, getValue, setCurr, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TYPE_STCK

    public static final int TYPE_STCK

See Also:
  Constant Field Values

#### TYPE_WERT

    public static final int TYPE_WERT

See Also:
  Constant Field Values

#### TYPE_PROZENT

    public static final int TYPE_PROZENT

See Also:
  Constant Field Values

### Constructor Detail

#### TypedValue

    public TypedValue​(java.math.BigDecimal value,
                      java.lang.String curr,
                      int type)

#### TypedValue

    public TypedValue​(java.lang.String value,
                      java.lang.String curr,
                      int type)

### Method Detail

#### getType

    public int getType()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `BigDecimalValue`